Wich version should I download?

  • #1, by diogolourenoSunday, 16. July 2017, 21:14 3 years ago
    Newbie question here. Just got the engine, wich version should I download and use? 
    The 4.25 or the 5RC01?
    Thanks

    Newbie

    3 Posts


  • #2, by SimonSSunday, 16. July 2017, 21:31 3 years ago
    Recommend using V5, it's already pretty final even though it's not yet named liked that.

    Thread Captain

    1352 Posts

  • #3, by diogolourenoSunday, 16. July 2017, 21:32 3 years ago
    Allright, thanks man!

    Newbie

    3 Posts

  • #4, by mikael32225Monday, 17. July 2017, 09:23 3 years ago
    Simon, how similar are they? I was in the same position about a month back or so and I went with 4.25 seeing how the video tutorials available where made with that version. Are they similar enough that all the things are in the same spot?

    Newbie

    42 Posts

  • #5, by afrlmeMonday, 17. July 2017, 12:10 3 years ago
    Similar -ish in that features still work in the same way, but the IDE/GUI is different & some things are in different places, but it shouldn't take long to learn.

    I'm still using 4.2.5 myself at the minute as well, though I have both installed. Marian didn't want to start using 5.x for ALLD game until the official public version has been released, so I'm just using 5.x for messing around for now.

    Imperator

    6816 Posts

  • #6, by mikael32225Monday, 17. July 2017, 22:42 3 years ago
    I guess I'll just stick with 4.2.5 for now and see how it goes.

    Newbie

    42 Posts

  • #7, by afrlmeTuesday, 18. July 2017, 00:32 3 years ago
    You can check out Sebastians tutorial videos. They are in German, but you can get a glimpse of what the v5 editor is like from them.

    Imperator

    6816 Posts

  • #8, by MachtnixTuesday, 18. July 2017, 00:35 3 years ago
    You can switch from r4.2.5 to r5 without additional costs, but you can't switch back from r5 to 4.2.5  wink wink

    Thread Captain

    1079 Posts

  • #9, by diogolourenoTuesday, 18. July 2017, 02:24 3 years ago
    I installed both versions, messed  around with them  and already   have a  sense for the engine.  However  I'm using 4.25  because  most of the tutorials I find in English are for that  version.  Maybe after  I'm more familiar with  it I'll continue the project in 5.x.
    Thanks to all the input. I haven't used a game engine since Game  Maker Studio  like 6/7  years back.

    Newbie

    3 Posts

Write post